MWAWRSRCParser::Version Struct Reference documentation

MWAWRSRCParser::Version Struct Reference

a public structure used to return the version More...

`#include <MWAWRSRCParser.hxx>`

## Public Member Functions
| Version ()

## Public Attributes
int | m_majorVersion
| the major number
int | m_minorVersion
| the minor number
std::string | m_string
| the major string
std::string | m_versionString
| the version string
std::string | m_extra
| extra data
int | m_countryCode
| the country code

## Friends
std::ostream & | operator<< (std::ostream &o, MWAWRSRCParser::Version const &vers)
| operator<<

## Detailed Description

a public structure used to return the version

## Constructor & Destructor Documentation

## ◆ Version()

MWAWRSRCParser::Version::Version | ( |  | ) |
| inline

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWRSRCParser::Version const & | vers )
| friend

operator<<

## Member Data Documentation

## ◆ m_countryCode

int MWAWRSRCParser::Version::m_countryCode

the country code

Referenced by operator<<, MWAWRSRCParser::parseVers(), MacDraft5StyleManager::readVersion(), and Version().

## ◆ m_extra

std::string MWAWRSRCParser::Version::m_extra

extra data

Referenced by operator<<, MWAWRSRCParser::parseVers(), MacDraft5StyleManager::readVersion(), and Version().

## ◆ m_majorVersion

int MWAWRSRCParser::Version::m_majorVersion

the major number

Referenced by DocMkrParser::checkHeader(), NisusWrtParser::checkHeader(), operator<<, MWAWRSRCParser::parseVers(), MacDraft5StyleManager::readVersion(), and Version().

## ◆ m_minorVersion

int MWAWRSRCParser::Version::m_minorVersion

the minor number

Referenced by operator<<, MWAWRSRCParser::parseVers(), MacDraft5StyleManager::readVersion(), and Version().

## ◆ m_string

std::string MWAWRSRCParser::Version::m_string

the major string

Referenced by MacDraft5Parser::checkHeader(), operator<<, MWAWRSRCParser::parseVers(), MacDraft5StyleManager::readVersion(), and Version().

## ◆ m_versionString

std::string MWAWRSRCParser::Version::m_versionString

the version string

Referenced by operator<<, MWAWRSRCParser::parseVers(), MacDraft5StyleManager::readVersion(), and Version().

The documentation for this struct was generated from the following file:

- MWAWRSRCParser.hxx